\begin{tikzpicture}
  \tikzset{
    block/.style={
      rectangle, draw, ultra thick, text width=5em, text centered,
      rounded corners, minimum height=4em
    }
  }

  % Supervisor node with increased width for alignment purposes
  \node [block, fill=yellow!50, minimum width=15em] (supervisor) {Supervisor};

  % Robot Navigator 1 aligned with the left edge of the Supervisor
  \node [block, fill=red!50, below=6em of supervisor.west, anchor=west] (navigator1) {Robot\\Navigator 1};
  \node [block, fill=red!50, below=6em of supervisor.east, anchor=east] (navigatorn) {Robot\\Navigator n};

  % Mobile Robots placed below their respective navigators
  \node [block, fill=cyan!50, below=2em of navigator1] (robot1) {Mobile\\Robot 1};
  \node [block, fill=cyan!50, below=2em of navigatorn] (robotn) {Mobile\\Robot N};

  % Dots to indicate continuation
  \node [] (dots) at ($(navigator1)!0.5!(navigatorn)$) {\huge ...};
  \node [] (dots2) at ($(robot1)!0.5!(robotn)$) {\huge ...};

  % Arrows from Supervisor to Robot Navigators
  \draw[->, ultra thick] ([xshift=-5.15em]supervisor.south) -- ([xshift=-0.5em]navigator1.north);
  \draw[<-, ultra thick] ([xshift=-4.15em]supervisor.south) -- ([xshift=0.5em]navigator1.north);
  \draw[->, ultra thick] ([xshift=4.15em]supervisor.south) -- ([xshift=-0.5em]navigatorn.north);
  \draw[<-, ultra thick] ([xshift=5.15em]supervisor.south) -- ([xshift=0.5em]navigatorn.north);

  % Vertical arrows between Robot Navigators and Mobile Robots
  \draw [->, ultra thick] ([xshift=-0.5em]navigator1.south) -- ([xshift=-0.5em]robot1.north);
  \draw [<-, ultra thick] ([xshift=0.5em]navigator1.south) -- ([xshift=0.5em]robot1.north);
  \draw [->, ultra thick] ([xshift=-0.5em]navigatorn.south) -- ([xshift=-0.5em]robotn.north);
  \draw [<-, ultra thick] ([xshift=0.5em]navigatorn.south) -- ([xshift=0.5em]robotn.north);

  % Background for DES section
  \begin{scope}[on background layer]
    \filldraw[fill=yellow!20, draw=black, rounded corners, dashed]
      ([xshift=-2em, yshift=2em]supervisor.north west) 
      rectangle 
      ([xshift=3em, yshift=3em]navigatorn.south east);
  \end{scope}

  % Background for CTS section
  \begin{scope}[on background layer]
    \filldraw[fill=cyan!20, draw=black, rounded corners, dashed]
      ([xshift=-2em, yshift=-3em]navigator1.north west)
      rectangle
      ([xshift=3em, yshift=-2em]robotn.south east);
  \end{scope}

  % DES label at the bottom right of the DES background
  \node [anchor=south east] at ([xshift=3em, yshift=0.5em]supervisor.north east) {\large \textbf{DES}};

  % CTS label at the bottom right of the CTS background
  \node [anchor=north east] at ([xshift=3em, yshift=-0.5em]robotn.south east) {\large \textbf{CTS}};
\end{tikzpicture}
